Erweiterung von FF in TB

  • Hallo,
    eine Frage an Experten ... können Erweiterungen die explizit für FF geschrieben wurden durch Änderungen auch in TB benutzt werden?
    Es geht mir dabei speziell um die Erweiterung "CheckYesss" !
    Kann da jemand helfen? Den Autor kann ich leider nicht erreichen :(


    Gruß Helmut

  • "helmut48" schrieb:

    Hallo,
    eine Frage an Experten ... können Erweiterungen die explizit für FF geschrieben wurden durch Änderungen auch in TB benutzt werden?
    Es geht mir dabei speziell um die Erweiterung "CheckYesss" !
    Kann da jemand helfen? Den Autor kann ich leider nicht erreichen :(


    Gruß Helmut


    Da bin ich auch schon :)
    Grundsätzlich hängt das von den verwendeten Funktionen ab. Im konkreten Fall wird der Code für "Quick-Links" nicht funktionieren, beim Erstellen einer .ods-Datei bin ich mir nicht sicher. Alles andere sollte keine Probleme machen, ausprobiert hab ich es aber noch nie.


    Folgende Änderungen sind sicher notwendig:


    * In's chrome.manifest eine zusätzliche Zeile

    Code
    1. overlay chrome://messenger/content/messenger.xul chrome://checkyesss/content/checkyesssOverlay.xul


    * In's install.rdf den Eintrag für Thunderbird

    Code
    1. <em:targetApplication>
    2. <Description>
    3. <em:id>{3550f703-e582-4d05-9a08-453d09bdfdc6}</em:id>
    4. <em:minVersion>2.0b1</em:minVersion>
    5. <em:maxVersion>3.0</em:maxVersion>
    6. </Description>
    7. </em:targetApplication>


    oder so.


    * Und schließlich im contents.rdf (im checkyesss.jar) ein Eintrag für TB überall dort wo "navigator" und "browser" erwähnt sind, also

    Code
    1. <RDF:Seq about="chrome://messenger/content/messenger.xul">
    2. <RDF:li>chrome://checkyesss/content/checkyesssOverlay.xul</RDF:li>
    3. </RDF:Seq>


    Ich werd das mal bei Zeiten ausprobieren, jetzt wo's schon so schön hier steht ;)
    Grüße,
    -Thomas


    PS: Bin i.a. schon via Email erreichbar, ev. hab ich deine Email übersehen!?[/code]

  • PS: Bin i.a. schon via Email erreichbar, ev. hab ich deine Email übersehen!?
    Könnte schon sein :(


    Hallo Thomas ..
    Danke für Deine Antwort ... allerdings ist das alles zu hoch für mich, wenn Du es aber mal in einer stillen Stunde mit Erfolg getestet hast wäre ich dankbar wieder von Dir zu "hören" ...


    Gruß Helmut

  • Hallo Helmut,
    mit der neuen Version 0.6.10 (http://checkyesss.mozdev.org/) wird nun Thunderbird 2.0 (und höher) unterstützt. Es waren noch an ein paar anderen Stellen als den oben beschriebenen zu ändern. Natürlich funktionieren im TB jene Quick-Links nicht, die ein Einloggen erfordern, d.h. du kannst nicht z.B. mit Doppenklick direkt zum WebSMS-Formular gelangen, sondern musst dich selbst einloggen. Ansonsten alles wie gehabt :)
    Viele Grüße,
    -Thomas

  • "treitmayr" schrieb:

    Hallo Helmut,
    mit der neuen Version 0.6.10 (http://checkyesss.mozdev.org/) wird nun Thunderbird 2.0 (und höher) unterstützt.
    Viele Grüße,
    -Thomas


    Hallo Thomas, vielen Dank für Deine Mühe .... klappt hervorragend!!
    Gruß Helmut